Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.store
Class DeploymentSynchronizer

    java.lang.Object
      org.jbpm.kie.services.impl.store.DeploymentSynchronizer

All Implemented Interfaces:
  DeploymentEventListener

Direct Known Subclasses:
  DeploymentSynchronizerCDIImpl, DeploymentSynchronizerEJBImpl

    public class DeploymentSynchronizer

extends Object
implements DeploymentEventListener

Field Summary
`static boolean` | `DEPLOY_SYNC_ENABLED`
`static String` | `DEPLOY_SYNC_INTERVAL`
`protected Class<?>` | `targetExceptionClass`

Constructor Summary
`DeploymentSynchronizer()`

Method Summary
`boolean` | `isActive()`
`protected boolean` | `isCausedByConstraintViolation(Throwable throwable)`
`void` | `onActivate(DeploymentEvent event)`
`void` | `onDeactivate(DeploymentEvent event)`
`void` | `onDeploy(DeploymentEvent event)`
`void` | `onUnDeploy(DeploymentEvent event)`
`void` | `setDeploymentService(DeploymentService deploymentService)`
`void` | `setDeploymentStore(DeploymentStore deploymentStore)`
`void` | `synchronize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEPLOY_SYNC_INTERVAL

    public static final String DEPLOY_SYNC_INTERVAL

### DEPLOY_SYNC_ENABLED

    public static final boolean DEPLOY_SYNC_ENABLED

### targetExceptionClass

    protected Class<?> targetExceptionClass

Constructor Detail

### DeploymentSynchronizer

    public DeploymentSynchronizer()

Method Detail

### isActive

    public boolean isActive()

### setDeploymentStore

    public void setDeploymentStore(DeploymentStore deploymentStore)

### setDeploymentService

    public void setDeploymentService(DeploymentService deploymentService)

### synchronize

    public void synchronize()

### onDeploy

    public void onDeploy(DeploymentEvent event)

  Specified by:
    `onDeploy` in interface `DeploymentEventListener`

### onUnDeploy

    public void onUnDeploy(DeploymentEvent event)

  Specified by:
    `onUnDeploy` in interface `DeploymentEventListener`

### onActivate

    public void onActivate(DeploymentEvent event)

  Specified by:
    `onActivate` in interface `DeploymentEventListener`

### onDeactivate

    public void onDeactivate(DeploymentEvent event)

  Specified by:
    `onDeactivate` in interface `DeploymentEventListener`

### isCausedByConstraintViolation

    protected boolean isCausedByConstraintViolation(Throwable throwable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.